org.eclipse.gef.mvc.fx.ui

## Class MvcFxUiBundle

- java.lang.Object
- - org.eclipse.core.runtime.Plugin
  - - org.eclipse.ui.plugin.AbstractUIPlugin
    - - org.eclipse.gef.mvc.fx.ui.MvcFxUiBundle

All Implemented Interfaces:
  org.osgi.framework.BundleActivator

    public class MvcFxUiBundle
    extends org.eclipse.ui.plugin.AbstractUIPlugin

The `MvcFxUiBundle` is the plug-in that integrates MVC.FX with the Eclipse platform UI.

### Field Summary

Fields
`static java.lang.String` `IMG_ICONS_FIT_TO_VIEWPORT` Symbolic name for the fit-to-viewport icon image.
`static java.lang.String` `IMG_ICONS_FIT_TO_VIEWPORT_LOCK` Symbolic name for the fit-to-viewport-lock (i.e. toggle-button/check-box) icon image.
`static java.lang.String` `IMG_ICONS_SCROLL_BOTTOM_LEFT` Symbolic name for the scroll-bottom-left icon image.
`static java.lang.String` `IMG_ICONS_SCROLL_BOTTOM_RIGHT` Symbolic name for the scroll-bottom-right icon image.
`static java.lang.String` `IMG_ICONS_SCROLL_CENTER` Symbolic name for the scroll-center icon image.
`static java.lang.String` `IMG_ICONS_SCROLL_TOP_LEFT` Symbolic name for the scroll-top-left icon image.
`static java.lang.String` `IMG_ICONS_SCROLL_TOP_RIGHT` Symbolic name for the scroll-top-right icon image.
`static java.lang.String` `IMG_ICONS_ZOOM_IN` Symbolic name for the zoom-in icon image.
`static java.lang.String` `IMG_ICONS_ZOOM_OUT` Symbolic name for the zoom-out icon image.
`static java.lang.String` `IMG_ICONS_ZOOM_RESET` Symbolic name for the reset-zoom icon image.
`static java.lang.String` `PLUGIN_ID` The plug-in ID.

### Fields inherited from class org.eclipse.core.runtime.Plugin

`PLUGIN_PREFERENCE_SCOPE, PREFERENCES_DEFAULT_OVERRIDE_BASE_NAME, PREFERENCES_DEFAULT_OVERRIDE_FILE_NAME`

### Constructor Summary

Constructors
Constructor and Description
`MvcFxUiBundle()` The constructor

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static MvcFxUiBundle` `getDefault()` Returns the shared instance
`protected void` `initializeImageRegistry(org.eclipse.jface.resource.ImageRegistry reg)`
`void` `start(org.osgi.framework.BundleContext context)`
`void` `stop(org.osgi.framework.BundleContext context)`

### Methods inherited from class org.eclipse.ui.plugin.AbstractUIPlugin

`createImageRegistry, getDialogSettings, getImageRegistry, getPreferenceStore, getWorkbench, imageDescriptorFromPlugin, initializeDefaultPluginPreferences, initializeDefaultPreferences, loadDialogSettings, loadPreferenceStore, refreshPluginActions, saveDialogSettings, savePreferenceStore, shutdown, startup`

### Methods inherited from class org.eclipse.core.runtime.Plugin

`find, find, getBundle, getDescriptor, getLog, getPluginPreferences, getStateLocation, internalInitializeDefaultPluginPreferences, isDebugging, openStream, openStream, savePluginPreferences, setDebugging, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### PLUGIN_ID

    public static final java.lang.String PLUGIN_ID

The plug-in ID.

See Also:
  Constant Field Values

#### IMG_ICONS_ZOOM_IN

    public static final java.lang.String IMG_ICONS_ZOOM_IN

Symbolic name for the zoom-in icon image.

See Also:
  Constant Field Values

#### IMG_ICONS_ZOOM_OUT

    public static final java.lang.String IMG_ICONS_ZOOM_OUT

Symbolic name for the zoom-out icon image.

See Also:
  Constant Field Values

#### IMG_ICONS_SCROLL_CENTER

    public static final java.lang.String IMG_ICONS_SCROLL_CENTER

Symbolic name for the scroll-center icon image.

See Also:
  Constant Field Values

#### IMG_ICONS_SCROLL_TOP_LEFT

    public static final java.lang.String IMG_ICONS_SCROLL_TOP_LEFT

Symbolic name for the scroll-top-left icon image.

See Also:
  Constant Field Values

#### IMG_ICONS_SCROLL_TOP_RIGHT

    public static final java.lang.String IMG_ICONS_SCROLL_TOP_RIGHT

Symbolic name for the scroll-top-right icon image.

See Also:
  Constant Field Values

#### IMG_ICONS_SCROLL_BOTTOM_LEFT

    public static final java.lang.String IMG_ICONS_SCROLL_BOTTOM_LEFT

Symbolic name for the scroll-bottom-left icon image.

See Also:
  Constant Field Values

#### IMG_ICONS_SCROLL_BOTTOM_RIGHT

    public static final java.lang.String IMG_ICONS_SCROLL_BOTTOM_RIGHT

Symbolic name for the scroll-bottom-right icon image.

See Also:
  Constant Field Values

#### IMG_ICONS_FIT_TO_VIEWPORT

    public static final java.lang.String IMG_ICONS_FIT_TO_VIEWPORT

Symbolic name for the fit-to-viewport icon image.

See Also:
  Constant Field Values

#### IMG_ICONS_FIT_TO_VIEWPORT_LOCK

    public static final java.lang.String IMG_ICONS_FIT_TO_VIEWPORT_LOCK

Symbolic name for the fit-to-viewport-lock (i.e. toggle-button/check-box) icon image.

See Also:
  Constant Field Values

#### IMG_ICONS_ZOOM_RESET

    public static final java.lang.String IMG_ICONS_ZOOM_RESET

Symbolic name for the reset-zoom icon image.

See Also:
  Constant Field Values

### Constructor Detail

#### MvcFxUiBundle

    public MvcFxUiBundle()

The constructor

### Method Detail

#### getDefault

    public static MvcFxUiBundle getDefault()

Returns the shared instance

Returns:
  the shared instance

#### initializeImageRegistry

    protected void initializeImageRegistry(org.eclipse.jface.resource.ImageRegistry reg)

Overrides:
  `initializeImageRegistry` in class `org.eclipse.ui.plugin.AbstractUIPlugin`

#### start

    public void start(org.osgi.framework.BundleContext context)
               throws java.lang.Exception

Specified by:
  `start` in interface `org.osgi.framework.BundleActivator`
Overrides:
  `start` in class `org.eclipse.ui.plugin.AbstractUIPlugin`
Throws:
  `java.lang.Exception`

#### stop

    public void stop(org.osgi.framework.BundleContext context)
              throws java.lang.Exception

Specified by:
  `stop` in interface `org.osgi.framework.BundleActivator`
Overrides:
  `stop` in class `org.eclipse.ui.plugin.AbstractUIPlugin`
Throws:
  `java.lang.Exception`